summaryrefslogtreecommitdiff
path: root/attic
diff options
context:
space:
mode:
Diffstat (limited to 'attic')
-rwxr-xr-xattic/line_count.sh2
-rwxr-xr-xattic/random.sh30
2 files changed, 32 insertions, 0 deletions
diff --git a/attic/line_count.sh b/attic/line_count.sh
new file mode 100755
index 0000000..dbc74af
--- /dev/null
+++ b/attic/line_count.sh
@@ -0,0 +1,2 @@
+#!/bin/sh
+find ./src -type f | xargs wc -l
diff --git a/attic/random.sh b/attic/random.sh
new file mode 100755
index 0000000..f6cb285
--- /dev/null
+++ b/attic/random.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+BUILD_DIR=build-release2
+WALLPAPERS_PATH=workshop_wallpapers_3-12-23
+
+export mesa_glthread=true
+
+if [[ $1 == "audio" ]]
+then
+ while : ; do
+ DIR=$(find $WALLPAPERS_PATH -maxdepth 1 -type d | shuf -n 1)
+ RES=$(cat $DIR/project.json | jq '.["general"]["supportsaudioprocessing"]')
+ [[ "$RES" == 'null' || "$RES" == 'false' ]] || break
+ done
+elif [[ $1 == "safe" ]]
+then
+ while : ; do
+ DIR=$(find $WALLPAPERS_PATH -maxdepth 1 -type d | shuf -n 1)
+ RES=$(cat $DIR/project.json | jq '.["contentrating"]')
+ [[ "$RES" == 'null' || "$RES" != '"Everyone"' ]] || break
+ done
+else
+ DIR=$(find $WALLPAPERS_PATH -maxdepth 1 -type d | shuf -n 1)
+fi
+
+echo $DIR
+
+cd $BUILD_DIR
+./mauri ../$DIR/scene.pkg
+cd ..